
%define debug_package %{nil}
Name:    tezos-accuser-PtMumbai
Version: 17.3
Release: 1
Epoch: 1
Summary: Daemon for accusing
License: MIT
BuildArch: x86_64 aarch64
Source0: tezos-accuser-PtMumbai-17.3.tar.gz
Source1: https://gitlab.com/tezos/tezos/tree/v17.3/
BuildRequires: make wget systemd systemd-rpm-macros
Requires: , udev
%description
Daemon for accusing
Maintainer: Serokell <hi@serokell.io>
%prep
%setup -q
%build
%install
make octez-accuser-PtMumbai
mkdir -p %{buildroot}/%{_bindir}
install -m 0755 octez-accuser-PtMumbai %{buildroot}/%{_bindir}
ln -s %{_bindir}/octez-accuser-PtMumbai %{buildroot}/%{_bindir}/tezos-accuser-PtMumbai



mkdir -p %{buildroot}/%{_unitdir}
install -m 644 tezos-accuser-ptmumbai.service %{buildroot}/%{_unitdir}
install -m 644 tezos-accuser-ptmumbai@.service %{buildroot}/%{_unitdir}

mkdir -p %{buildroot}/%{_sysconfdir}/default
install -m 644 tezos-accuser-ptmumbai.default %{buildroot}/%{_sysconfdir}/default/tezos-accuser-ptmumbai

install -m 0755 tezos-accuser-ptmumbai-start %{buildroot}/%{_bindir}


%files
%license LICENSE

%{_bindir}/octez-accuser-PtMumbai
%{_bindir}/tezos-accuser-PtMumbai

%{_bindir}/tezos-accuser-ptmumbai-start

%{_unitdir}/tezos-accuser-ptmumbai.service
%{_unitdir}/tezos-accuser-ptmumbai@.service

%{_sysconfdir}/default/tezos-accuser-ptmumbai



%post
%systemd_post tezos-accuser-ptmumbai.service
%systemd_post tezos-accuser-ptmumbai@.service


if [ -z $(getent passwd tezos) ]; then
    useradd -r -s /bin/false -m -d /var/lib/tezos tezos
    chmod 0755 /var/lib/tezos
fi

mkdir -p /var/lib/tezos/.tezos-client
chown -R tezos:tezos /var/lib/tezos/.tezos-client


%preun
%systemd_preun tezos-accuser-ptmumbai.service
%systemd_preun tezos-accuser-ptmumbai@.service


%postun
%systemd_postun_with_restart tezos-accuser-ptmumbai.service
%systemd_postun_with_restart tezos-accuser-ptmumbai@.service



